DS_ALLOC_PACKET_DESC(3)

FUNCTION
ds_alloc_packet_desc - Allocate a packet descriptor.

SYNOPSIS
#include <karma_ds.h>

packet_desc * ds_alloc_packet_desc

(unsigned int num_elem)

DESCRIPTION
This routine will allocate a packet descriptor. The memory for the array of element types and descriptors is also allocated.

num_elem
    The number of elements to allocate.

RETURN VALUE
A pointer to the descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/